package com.starbuds.server.api.agent.common.pojo.admin;


import lombok.Data;

import javax.ws.rs.FormParam;
import java.io.Serializable;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-03-30 14:46:28
 * @Description 公会银行卡
 */
@Data
public class AgentBankcardReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @FormParam("cardId")
    private Long cardId;
    /**
     * 公会id
     */
    @FormParam("agentId")
    private Long agentId;
    /**
     * 卡号或支付宝账户号码
     */
    @FormParam("cardNo")
    private String cardNo;
    /**
     * 手机号
     */
    @FormParam("cardPhone")
    private String cardPhone;
    /**
     * 卡名称
     */
    @FormParam("cardName")
    private String cardName;
    /**
     * 证件号码
     */
    @FormParam("cardIdCard")
    private String cardIdCard;
    /**
     * 状态
     */
    @FormParam("cardStatus")
    private Integer cardStatus;
    /**
     * 创建时间
     */
    @FormParam("cardCreateTime")
    private Long cardCreateTime;
    /**
     * 公私类型 1：公司  2：个人
     */
    @FormParam("cardType")
    private Integer cardType;
    /**
     * 开户行
     */
    @FormParam("cardDepositBank")
    private String cardDepositBank;

    /**
     * 是否支付宝账户
     */
    @FormParam("isAliAccount")
    private Integer isAliAccount;

}
