package com.starbuds.server.api.agent.service.admin.dao;

import com.starbuds.server.api.agent.common.pojo.admin.AnchorAuditVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/27 16:17
 * @Description 主播认证持久层
 */
@Mapper
@Repository
public interface AnchorAuditDAO {

    /**
     * 查询用户的申请记录
     *
     * @param userId 用户id
     * @return 申请记录
     */
    List<AnchorAuditVO> getAnchorAuditRecord(@Param("userId") Long userId);
}
