package com.starbuds.server.api.agent.service.admin.impl;

import com.starbuds.server.api.agent.common.service.admin.AgAgentWalletService;
import com.starbuds.server.api.agent.service.admin.dao.AgentWalletDAO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.Optional;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/3/30 15:44
 * @Description 公会钱包业务实现
 */
@Service
public class AgAgentWalletServiceImpl implements AgAgentWalletService {

    @Resource
    AgentWalletDAO agentWalletDAO;

    @Override
    public BigDecimal getBalance(Long agentId) {
        return Optional.ofNullable(agentWalletDAO.selectBalance(agentId)).orElse(BigDecimal.ZERO);
    }
}
