package com.starbuds.server.api.agent.common.pojo.admin;


import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-03-30 15:39:50
 * @Description 公会钱包提现记录
 */
@Data
public class AgentWalletWithdrawHisVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 提现记录id
     */
    private Long hisId;
    /**
     * 钱包id
     */
    private String walletId;
    /**
     * 提现金额
     */
    private BigDecimal amount;
    /**
     * 审核状态
     */
    private Integer applyStatus;
    /**
     * 银行卡id
     */
    private Long bankcardId;
    /**
     * 记录创建时间
     */
    private Long hisCreateTime;
    /**
     * 记录审核时间
     */
    private Long hisApplyTime;
    /**
     * 审核备注
     */
    private String applyRemarks;
    /**
     * 审核人
     */
    private Long applyAdminId;
    /**
     * 工会id
     */
    private Long agentId;
    /**
     * 个税比例
     */
    private Double userTaxRatio;
    /**
     * 实际金额
     */
    private BigDecimal actualAmount;
    /**
     * 工会金额
     */
    private BigDecimal agentAmount;
    /**
     * 税金
     */
    private BigDecimal taxAmount;
    /**
     * 公会名称
     */
    private String agentName;

    /**
     * 审核管理员姓名
     */
    private String applyAdminName;

    /**
     * 提现账户信息
     */
    private AgentBankcardVO bankcard;

}
