package com.starbuds.server.api.agent.common.pojo.admin;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/27 16:56
 * @Description 主播认证
 */
@Data
public class AnchorAuditVO implements Serializable {

    /**
     * 审核主键
     */
    private Long auditId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户姓名
     */
    private String userName;
    /**
     * 手持身份证照
     */
    private String idCardHoldImg;
    /**
     * 身份证正面照
     */
    private String idCardFaceImg;
    /**
     * 身份证反面照
     */
    private String idCardNationImg;
    /**
     * 申请认证时间
     */
    private Long applyTime;
    /**
     * 审核时间
     */
    private Long auditTime;
    /**
     * 审核状态
     */
    private Integer auditStatus;
    /**
     * 审核意见
     */
    private String auditMsg;
    /**
     * 头像
     */
    private String userAvatar;
    /**
     * 审核员id
     **/
    private Long adminId;
    /**
     * 审核员姓名
     **/
    private String adminName;
    /**
     * 星芽号
     **/
    private Long userNo;

}
