package com.starbuds.server.api.agent.common.pojo.admin;

import lombok.Data;

import java.io.Serializable;

/**
 * 推流记录
 *
 * @author JDBuilder
 */
@Data
public class LiveStreamHisVO implements Serializable {
    /**
     * 创建时间
     */
    private Long hisCreateTime;
    /**
     * 记录 id
     */
    private Long hisId;
    /**
     * 推流端Ip地址
     */
    private String hisIpAddress;
    /**
     * 推流点播地址
     */
    private String hisVodUrl;
    /**
     * 关联直播记录 id
     */
    private Long liveHisId;
    /**
     * 推流开始时间
     */
    private Long streamStartTime;

    private Integer streamStatus;
    /**
     * 推流结束时间
     */
    private Long streamStopTime;
}