package com.starbuds.server.api.agent.filter;

import com.plumelog.trace.aspect.AbstractAspect;
import org.aspectj.lang.JoinPoint;
import org.aspectj.lang.annotation.Around;
import org.aspectj.lang.annotation.Aspect;
import org.springframework.stereotype.Component;

/**
 * @author: ruomu
 * @date: 2021/10/18 created
 */
@Aspect
@Component
public class AspectConfig extends AbstractAspect {

    @Around("within(com.starbuds.server.api.*))") //这边写自己的包的路径
    public Object around(JoinPoint joinPoint) throws Throwable {
        return aroundExecute(joinPoint);
    }

}
