package com.starbuds.server.api.agent.service.admin.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * AdminDAO
 *
 * @author Lay
 * @date 2019/12/26
 */
@Mapper
@Repository
public interface AdminDAO {

    /**
     * 查询管理员姓名
     *
     * @param adminId 管理员id
     * @return 管理员姓名
     */
    String selectAdminName(@Param("adminId") Long adminId);

}
