package com.starbuds.server.api.agent.service.admin.dao;

import com.starbuds.server.common.pojo.db.AgentAnchorHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-01-15 14:12:01
 * @Description 签约流水表持久层
 */
@Mapper
@Repository
public interface AgentAnchorHisDAO {

    /**
     * 新增
     *
     * @param entity
     * @return
     */
    int insert(AgentAnchorHisDO entity);

    /**
     * 根据主键更新
     *
     * @param entity
     * @return
     */
    int updateById(AgentAnchorHisDO entity);

    /**
     * 根据主键查询
     *
     * @param hisId
     * @return
     */
    AgentAnchorHisDO selectById(@Param("hisId") Long hisId);

}
