package com.starbuds.server.api.agent.service.admin.dao;

import com.starbuds.server.api.agent.common.pojo.admin.LiveStreamHisVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/2/28 17:08
 * @Description 推理记录持久层
 */
@Mapper
@Repository
public interface LiveStreamHisDAO {


    /**
     * 获取推流记录
     *
     * @param liveHisId
     * @return
     */
    List<LiveStreamHisVO> getLiveStreamHis(@Param("liveHisId") Long liveHisId);

}
