package com.starbuds.server.api.agent.service.admin.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author lilin
 * @DateTime 2020-01-09 15:28:08
 * @Description 用户表持久层
 */
@Mapper
@Repository
public interface UserDAO {

    /**
     * 获取用户姓名
     *
     * @param userId
     * @return
     */
    String selectUserName(@Param("userId") Long userId);
}
