package com.starbuds.server.api.agent.service.admin.dao;

import com.starbuds.server.api.agent.common.pojo.admin.UserSingleChatTagVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-03-24 11:16:40
 * @Description 用户单聊标签持久层
 */
@Mapper
@Repository
public interface UserSingleChatTagDAO {

    /**
     * 获取用户单聊标签
     *
     * @param userId
     * @return
     */
    List<UserSingleChatTagVO> selectUserTagList(@Param("userId") Long userId);

}
